#
# spec file for package xorg-x11-libX11-ccache
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mkcomposecache mkcomposecache-1.2.1

Name:           xorg-x11-libX11-ccache
Version:        7.6
Release:        23.1
Summary:        X
License:        MIT
Group:          System/Libraries
Url:            http://xorg.freedesktop.org/
Source:         http://xorg.freedesktop.org/archive/individual/app/%{mkcomposecache}.tar.bz2
Source1:        LICENSE
BuildRequires:  mkcomposecache
BuildRequires:  xbiff
BuildRequires:  xkeyboard-config
BuildRequires:  xorg-x11-Xvfb
BuildRequires:  xorg-x11-fonts
Provides:       xorg-x11:/var/X11R6/compose-cache/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Cache for X.Org compose files.

%prep
%setup -q -n '%{mkcomposecache}'

%build

%install
cp -t. '%{SOURCE1}'
'./mkallcomposecaches.sh' \
 'prefix=%{_prefix}' \
 cachedir="%{buildroot}/%{_localstatedir}/cache/libx11/compose" xvfbopts="'-fp '\''%{_datadir}/fonts/misc'\'" /

%files
%defattr(-,root,root)
%doc LICENSE
%dir %{_localstatedir}/cache/libx11
%{_localstatedir}/cache/libx11/compose/

%changelog
* Fri Apr  5 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Tue Jun 26 2012 sndirsch@suse.com
- use proper Buildrequires: xorg-x11 --> mkcomposecache, xbiff
* Tue Feb 14 2012 sndirsch@suse.com
- removed unnecessary xorg-x11-devel from BuildRequires
* Mon Apr 11 2011 sndirsch@novell.com
- LICENSE needs to be marked and handled as SOURCE (not PATCH!)
- package is now noarch
* Fri Apr  8 2011 sndirsch@novell.com
- changes by Christopher Yeleighton <giecrilj@stegny.2a.pl>
  * run mkallcomposecaches from the tarball
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Fri Apr  2 2010 sndirsch@suse.de
- bumped version number to 7.5
* Sun Jan 17 2010 sndirsch@suse.de
- added xkeyboard-config to BuildRequires to fix Xvfb startup
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Thu May 24 2007 sndirsch@suse.de
- use xorg-x11-Xvfb for Buildrequires
* Thu Oct 26 2006 sndirsch@suse.de
- set version to 7.2 in specfile
* Thu Sep 21 2006 sndirsch@suse.de
- added license (Bug #207295)
* Wed Aug 30 2006 sndirsch@suse.de
- added xorg-x11-fonts to Buildrequires to fix build
* Fri Aug 18 2006 sndirsch@suse.de
- created package
